Перевод(ы): English - Italiano -简体中文 - Русский


WebServers > Apache


Веб сервер Apache

Установка Apache в Debian

Для того что бы установить пакет с apache2, достаточно выполнить

#apt-get install apache2

APT автоматически выберет один из четырёх движков, обычно это apache2-mpm-prefork или apache2-mpm-worker (apache2-mpm-event и apache2-mpm-itk не рекомендуются). В описание этих пакетов содержаться обзор их основных отличий.

Скрипты / Динамический контент

Апач может использовать разные внешние программы и скриптовые языки, через CGI или FastCgi (libapache2-mod-fcgid). Апач может использовать различные скриптовые языки или соединяться с сервером приложений для создания динамического контента:

Модули

В Дебиан есть много различных модулей для Апач, каждый пакет имеет префикс libapache2-mod Уже установленые модули, могут включены или отключены с помощью команды a2enmod и a2dismod.

Дополнительная информация

#apt-cache search apache | less

Эта команда выдаст весь список программ доступных в репозитариях Дебиан, связанных с Апач. В этом списке также будут пакеты: -doc, -dev, -common, -perl, и др..

FAQ

Пользователем от имени которого запущен Апач, в пакетах Дебиан указан как 'www-data'. Это создаёт путаницу: файлы с которыми работает Апач, могут не принадлежать пользователю 'www-data', и Апач не сможет их изменить. Это сделано в целях безопасности.

Apache v1.3 :: Apache.org официально советуют пользователям перейти на apache v2.2. DebianLenny и более новые релизы, не содержат Apache v1.x.
(apache 1.3 release notes: "Мы строго рекомендуем чтобы все пользователи всех ранних версий, включая 1.3, и перейти на версию 2.2 как можно скорее.")

Обновление
см. /usr/share/doc/apache2.2-common/NEWS.Debian.gz
Hardening

Apache/Hardening

Пакеты с модулями

Apache/PackagingModules

Смотри также